//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ Estadisticas.h
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#pragma once

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ namespace Estadisticas
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

namespace Estadisticas {
    void LimpiarEstadisticas(void);
    void MostrarEstadisticas(void);

    extern EnteroU64 nodosBusqueda;
    extern EnteroU64 nodosPerft;
    extern EnteroU64 nodosQsearch;    
    extern EnteroU64 extensionesJaque;
    extern EnteroU64 extensionesAmenazaMate;
    extern EnteroU64 extensionesRespuestaUnicaJaque;
    extern EnteroU64 extensionesPeonSeptima;
    extern EnteroU64 extensionesRecaptura;
    extern EnteroU64 pvsCompletas;
    extern EnteroU64 pvsMinimas;
    extern EnteroU64 pvsRebusquedas;
    extern EnteroU64 rebusquedasAspiration;
    extern EnteroU64 failHigh;
    extern EnteroU64 failHighPrimero;
    extern EnteroU64 hashProbes;
    extern EnteroU64 hashHitsDP;
    extern EnteroU64 hashHitsAR;
    extern EnteroU64 hashStoresDP;
    extern EnteroU64 hashStoresAR;
    extern EnteroU64 hashCutsExacto;
    extern EnteroU64 hashCutsBeta;
    extern EnteroU64 hashCutsAlpha;
    extern EnteroU64 podadosSEE;
    extern EnteroU64 podadosDelta;
    extern EnteroU64 capturasGeneradas;
    extern EnteroU64 nocapturasGeneradas;
    extern EnteroU64 evasionesGeneradas;
    extern EnteroU64 nullMoveIntentos;
    extern EnteroU64 nullMoveCutsMax;
    extern EnteroU64 nullMoveCutsMin;
    extern EnteroU64 intentosIID;
};
