//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ Evaluador.h
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#pragma once

#include "Motor.h"

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ class Evaluador
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

class Evaluador {
public:
    // Constructor
    Evaluador(Motor &m);

    // Evala el tablero y devuelve su puntaje
    int Evaluar(const Tablero &tablero);

private:
    Motor &motor;
};
