//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ HeavyChess.cpp
//+ Autor: Federico Corigliano
//+
//+ Programa de ajedrez en continuo desarrollo
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#include "stdafx.h"
#include "Motor.h"
#include "ConsolaUCI.h"

// Funcin principal
int main(void) {   
    // Creacion del motor y consola
    Motor motor;
    UCI::ConsolaUCI consola;

    motor.AsignarConsola(&consola);
    consola.AsignarMotor(&motor);

    // Inicia la consola, y con ello el funcionamiento del programa
    consola.Iniciar();

    return 0;
}
