//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ Historial.cpp
//+
//+ Para guardar los movimientos hechos, y el estado del tablero antes
//+ de esos movimientos para poder retroceder las jugadas
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#include "stdafx.h"
#include "Historial.h"
#include "Notador.h"

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ class Historial
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Constructor
Historial::Historial(void) {
    ply = 0;
}

// Para mostrar el historial por pantalla
void Historial::Mostrar(void) const {
    for(int i = 0; i < ply; i++)
        cout << historial[i].movimiento << " ";
}

// Asocia a Mostrar() con <<
ostream& operator<<(ostream& salida, const Historial &h) {
    h.Mostrar();
    return salida;
}
