//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ Config.h
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#pragma once

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ namespace Config
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

namespace Config {

    //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    //+ DATOS
    //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

    // Opciones Hash
    extern int sizeHashMegas;

    // Opciones Consola
    extern string engineAbout;

    // Opciones bsqueda
    extern bool mostrarResumenBusqueda;

    //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    //+ FUNCIONES
    //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

    // Establece la configuracin inicial del programa
    void EstablecerConfiguracionInicial(void);
    
    // Muestra las opciones actuales
    void MostrarConfiguracion(void);
};

