//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ Utils.h
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

#pragma once

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+ DECLARACION EXTERNA DE FUNCIONES
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// Tokeniza un string
extern vector<string> Tokenizar(const string& str, const string& delimitadores);
extern string PrimerPalabra(const string& str);

// Conversion Entero<->String
extern int StringAEntero(const string& str);
extern string EnteroAString(const int i);

// 64bit-Enteros al azar
extern EnteroU64 Random64();
extern void RandomSeed(unsigned int seed);

// Devuelve "true"-"false" segn valor de arg
extern string ValorVerdad(bool arg);
